<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_thread.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpc::Thread Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getCurrentThread</b>() (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getCurrentThreadId</b>() (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getName</b>() const  (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getThreadId</b>() const  (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>init</b>(thread_entry_t entry, uint32_t priority=0, uint32_t stackSize=0) (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator==</b>(Thread &amp;o) (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setName</b>(const char *name) (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>sleep</b>(uint32_t usecs) (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>start</b>(void *arg=0) (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_thread.html#a5bdd8acf426795e33c858e070ba0e8bb">Thread</a>(const char *name=0)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpc_1_1_thread.html#aa1eb90e1cae20fc83ab9a631f7c705e3">Thread</a>(thread_entry_t entry, uint32_t priority=0, uint32_t stackSize=0, const char *name=0)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpc_1_1_thread.html#a51c5d04c6a574d77d38db8d59c77a9d9">thread_id_t</a> typedef</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>threadEntryPoint</b>() (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Thread</b>() (defined in <a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a>)</td><td class="entry"><a class="el" href="classerpc_1_1_thread.html">erpc::Thread</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
